<?php

declare(strict_types=1);

require \dirname(__DIR__, 2).'/src/warmup.php';

if ( ! $L->canRun() || !extension_loaded('sqlite3')) {
  return;
}

$includeChildren = true === $P->getConfig('includechildren');
if ( ! $includeChildren && 0 !== (int) ($args_arr['oArtikel']->kVaterArtikel ?? 0)) {
  return;
}

$sql = 'INSERT INTO `xplugin_cin_ajax_search_5_tmp`(`kArtikel`) VALUES(:kArtikel)
  ON DUPLICATE KEY UPDATE kArtikel=kArtikel;';
$stmt = $P->getPDO()->prepare($sql);
$stmt->execute([':kArtikel' => $args_arr['oArtikel']->kArtikel]);
